Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

NumPy under Python 3.2 not yet included on TravisCI

  • Loading branch information...
commit 3086cf7e1dc5189d4efbb607f5c88f55b951aaf8 1 parent d639ac1
@peterjc peterjc authored
Showing with 5 additions and 0 deletions.
  1. +5 −0 .travis.yml
View
5 .travis.yml
@@ -24,6 +24,11 @@ before_install:
- "if [[ $TRAVIS_PYTHON_VERSION == 'jython2.5' ]]; then wget $JYTHON_URL -O jython_installer.jar; java -jar jython_installer.jar -s -d $HOME/jython | tail -n 2; export PATH=$HOME/jython:$PATH; jython -c print; export PYTHON_EXE=jython; fi"
- "sudo apt-get install clustalw clustalo | tail -n 2"
- "sudo apt-get install t-coffee muscle mafft probcons wise emboss 2>&1 | tail -n 2"
+# We need NumPy, which currently isn't directly available in TravisCI
+# under Python 3.2 due to an installation problem, thus this trick.
+# See https://github.com/travis-ci/travis-cookbooks/issues/48
+ - "if [[ $TRAVIS_PYTHON_VERSION == '3.2' ]]; then sudo apt-get install python3-numpy python3-numpy-dev 2>&1 | tail -n 2; fi"
+ - "if [[ $TRAVIS_PYTHON_VERSION == '3.2' ]]; then ln -s /usr/lib/python3/dist-packages/numpy ~/virtualenv/python3.2/lib/python3.2/site-packages/; fi"
#Installing psycopg2 does not work under PyPy or Jython
- "export PG=yes"
- "if [[ $TRAVIS_PYTHON_VERSION == 'jython2.5' ]]; then export PG=no; fi"
Please sign in to comment.
Something went wrong with that request. Please try again.